Subject: bug#11490: vc-next-action overwrites changes in non-checked-out RCS file

From: Jonathan Kamens <[email-masked]>
Date: Wed, 16 May 2012 21:17:34 -0400

Try it without making the file writable.

This happens, e.g., if a file is edited as root by a user using vim, 
which doesn't care whether it's writable or not, since it's root doing 
the editing, and then by a user using Emacs, which /does/ care because 
it detects VC and thus makes the file read-only in Emacs. The user's 
first impulse will be to type C-x v v, which will overwrite the previous 
editor's changes.

The problem goes away when vc-mistrust-permissions is set to true.

I would argue that C-x v v should always check the status of a file with 
vc-mistrust-permissions set to true (or the logical equivalent) before 
overwriting its contents and potentially losing data.

   jik